### Hierarchy

- ContextMenuComponent

### Implements

- OnChanges

## Index

### Inputs

- open
- root
- position

### Constructors

- constructor

### Properties

- elementRef
- open
- root

### Methods

- focusMenu
- getDimensions
- handleNavigation
- ngOnChanges

### Object literals

- position

## Constructors

### constructor

- new ContextMenuComponent(elementRef: ElementRef): ContextMenuComponent

- - Defined in src/context-menu/context-menu.component.ts:37

  #### Parameters

  - ##### elementRef: ElementRef

  #### Returns ContextMenuComponent

## Properties

### Protected elementRef

elementRef: ElementRef

- Defined in src/context-menu/context-menu.component.ts:39

### open

@Input()
open: boolean = false

- Defined in src/context-menu/context-menu.component.ts:33

### root

@Input()
root: boolean = true

- Defined in src/context-menu/context-menu.component.ts:32

## Methods

### focusMenu

- focusMenu(): void

- - Defined in src/context-menu/context-menu.component.ts:47

  #### Returns void

### getDimensions

- getDimensions(): ClientRect | DOMRect

- - Defined in src/context-menu/context-menu.component.ts:108

  #### Returns ClientRect | DOMRect

### handleNavigation

@HostListener({"eventName":"keydown","args":"[$event]"})

- handleNavigation(event: KeyboardEvent): void

- - Defined in src/context-menu/context-menu.component.ts:61

  #### Parameters

  - ##### event: KeyboardEvent

  #### Returns void

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in src/context-menu/context-menu.component.ts:41

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

## Object literals

### position

@Input()
position: object

- Defined in src/context-menu/context-menu.component.ts:34

### left

left: number = 0

- Defined in src/context-menu/context-menu.component.ts:35

### top

top: number = 0

- Defined in src/context-menu/context-menu.component.ts:36

Generated using TypeDoc